## open open |

## Functions

void | glibtop_open_l ()
void | glibtop_init_p ()
void | glibtop_open_p ()
void | glibtop_open_s ()

## Types and Values

#define | GLIBTOP_INIT_NO_OPEN
#define | GLIBTOP_INIT_NO_INIT
#define | GLIBTOP_FEATURES_NO_SERVER
#define | GLIBTOP_FEATURES_EXCEPT
#define | GLIBTOP_METHOD_DIRECT
#define | GLIBTOP_METHOD_PIPE
#define | GLIBTOP_METHOD_INET
#define | GLIBTOP_METHOD_UNIX
#define | GLIBTOP_ERROR_METHOD_IGNORE
#define | GLIBTOP_ERROR_METHOD_WARN_ONCE
#define | GLIBTOP_ERROR_METHOD_WARN
#define | GLIBTOP_ERROR_METHOD_ABORT
#define | GLIBTOP_ERROR_METHOD_DEFAULT

## Includes

    #include <glibtop/open.h>

## Description

## Functions

### glibtop_open_l ()

    void
    glibtop_open_l (glibtop *server,
                    const char *program_name,
                    const unsigned long features Param3,
                    const unsigned flags Param4);

### glibtop_init_p ()

    void
    glibtop_init_p (glibtop *server,
                    const unsigned long features Param2,
                    const unsigned flags Param3);

### glibtop_open_p ()

    void
    glibtop_open_p (glibtop *server,
                    const char *program_name,
                    const unsigned long features Param3,
                    const unsigned flags Param4);

### glibtop_open_s ()

    void
    glibtop_open_s (glibtop *server,
                    const char *program_name,
                    const unsigned long features Param3,
                    const unsigned flags Param4);

## Types and Values

### GLIBTOP_INIT_NO_OPEN

    #define GLIBTOP_INIT_NO_OPEN		1

### GLIBTOP_INIT_NO_INIT

    #define GLIBTOP_INIT_NO_INIT		2

### GLIBTOP_FEATURES_NO_SERVER

    #define GLIBTOP_FEATURES_NO_SERVER 4

### GLIBTOP_FEATURES_EXCEPT

    #define GLIBTOP_FEATURES_EXCEPT		8

### GLIBTOP_METHOD_DIRECT

    #define GLIBTOP_METHOD_DIRECT		1

### GLIBTOP_METHOD_PIPE

    #define GLIBTOP_METHOD_PIPE		2

### GLIBTOP_METHOD_INET

    #define GLIBTOP_METHOD_INET		3

### GLIBTOP_METHOD_UNIX

    #define GLIBTOP_METHOD_UNIX		4

### GLIBTOP_ERROR_METHOD_IGNORE

    #define GLIBTOP_ERROR_METHOD_IGNORE 0

### GLIBTOP_ERROR_METHOD_WARN_ONCE

    #define GLIBTOP_ERROR_METHOD_WARN_ONCE 1

### GLIBTOP_ERROR_METHOD_WARN

    #define GLIBTOP_ERROR_METHOD_WARN 2

### GLIBTOP_ERROR_METHOD_ABORT

    #define GLIBTOP_ERROR_METHOD_ABORT 3

### GLIBTOP_ERROR_METHOD_DEFAULT

    #define GLIBTOP_ERROR_METHOD_DEFAULT GLIBTOP_ERROR_METHOD_WARN_ONCE